#
# spec file for package python-XStatic-FileSaver
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global sname XStatic-FileSaver
Name:           python-XStatic-FileSaver
Version:        1.3.2.0
Release:        4.1
Summary:        FileSaver %{version} (XStatic packaging standard)
License:        MIT
Group:          Development/Languages/Python
URL:            https://git.openstack.org/cgit/openstack/xstatic-filesaver/
Source0:        https://files.pythonhosted.org/packages/source/X/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python2-setuptools
BuildRequires:  python3-setuptools
Requires:       python-XStatic
BuildArch:      noarch
%python_subpackages

%description
FileSaver javascript library packaged for setuptools (easy_install) / pip.

%prep
%autosetup -n %{sname}-%{version}
%py_req_cleanup

%build
%{python_build}

%install
%{python_install}

%files %{python_files}
%doc README.txt
%{python_sitelib}/xstatic
%{python_sitelib}/XStatic_FileSaver-%{version}-py?.?.egg-info
%{python_sitelib}/XStatic_FileSaver-%{version}-py?.?-nspkg.pth

%changelog
